com.lowagie.text.pdf

## Class AsianFontMapper

- java.lang.Object
- - com.lowagie.text.pdf.DefaultFontMapper
  - - com.lowagie.text.pdf.AsianFontMapper

All Implemented Interfaces:
  FontMapper

    public class AsianFontMapper
    extends DefaultFontMapper

### Nested Class Summary

### Nested classes/interfaces inherited from class com.lowagie.text.pdf.DefaultFontMapper

`DefaultFontMapper.BaseFontParameters`

### Field Summary

Fields
`static java.lang.String` `ChineseSimplifiedEncoding_H`
`static java.lang.String` `ChineseSimplifiedEncoding_V`
`static java.lang.String` `ChineseSimplifiedFont`
`static java.lang.String` `ChineseTraditionalEncoding_H`
`static java.lang.String` `ChineseTraditionalEncoding_V`
`static java.lang.String` `ChineseTraditionalFont_MHei`
`static java.lang.String` `ChineseTraditionalFont_MSung`
`private java.lang.String` `defaultFont`
`private java.lang.String` `encoding`
`static java.lang.String` `JapaneseEncoding_H`
`static java.lang.String` `JapaneseEncoding_HW_H`
`static java.lang.String` `JapaneseEncoding_HW_V`
`static java.lang.String` `JapaneseEncoding_V`
`static java.lang.String` `JapaneseFont_Go`
`static java.lang.String` `JapaneseFont_Min`
`static java.lang.String` `KoreanEncoding_H`
`static java.lang.String` `KoreanEncoding_V`
`static java.lang.String` `KoreanFont_GoThic`
`static java.lang.String` `KoreanFont_SMyeongJo`

### Constructor Summary

Constructors
Constructor and Description
`AsianFontMapper(java.lang.String font, java.lang.String encoding)`

### Method Summary

Methods
`BaseFont` `awtToPdf(java.awt.Font font)` Returns a BaseFont which can be used to represent the given AWT Font

### Methods inherited from class com.lowagie.text.pdf.DefaultFontMapper

`getAliases, getBaseFontParameters, getMapper, insertDirectory, insertNames, pdfToAwt, putAlias, putName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ChineseSimplifiedFont

    public static final java.lang.String ChineseSimplifiedFont

See Also:
  Constant Field Values

#### ChineseSimplifiedEncoding_H

    public static final java.lang.String ChineseSimplifiedEncoding_H

See Also:
  Constant Field Values

#### ChineseSimplifiedEncoding_V

    public static final java.lang.String ChineseSimplifiedEncoding_V

See Also:
  Constant Field Values

#### ChineseTraditionalFont_MHei

    public static final java.lang.String ChineseTraditionalFont_MHei

See Also:
  Constant Field Values

#### ChineseTraditionalFont_MSung

    public static final java.lang.String ChineseTraditionalFont_MSung

See Also:
  Constant Field Values

#### ChineseTraditionalEncoding_H

    public static final java.lang.String ChineseTraditionalEncoding_H

See Also:
  Constant Field Values

#### ChineseTraditionalEncoding_V

    public static final java.lang.String ChineseTraditionalEncoding_V

See Also:
  Constant Field Values

#### JapaneseFont_Go

    public static final java.lang.String JapaneseFont_Go

See Also:
  Constant Field Values

#### JapaneseFont_Min

    public static final java.lang.String JapaneseFont_Min

See Also:
  Constant Field Values

#### JapaneseEncoding_H

    public static final java.lang.String JapaneseEncoding_H

See Also:
  Constant Field Values

#### JapaneseEncoding_V

    public static final java.lang.String JapaneseEncoding_V

See Also:
  Constant Field Values

#### JapaneseEncoding_HW_H

    public static final java.lang.String JapaneseEncoding_HW_H

See Also:
  Constant Field Values

#### JapaneseEncoding_HW_V

    public static final java.lang.String JapaneseEncoding_HW_V

See Also:
  Constant Field Values

#### KoreanFont_GoThic

    public static final java.lang.String KoreanFont_GoThic

See Also:
  Constant Field Values

#### KoreanFont_SMyeongJo

    public static final java.lang.String KoreanFont_SMyeongJo

See Also:
  Constant Field Values

#### KoreanEncoding_H

    public static final java.lang.String KoreanEncoding_H

See Also:
  Constant Field Values

#### KoreanEncoding_V

    public static final java.lang.String KoreanEncoding_V

See Also:
  Constant Field Values

#### defaultFont

    private final java.lang.String defaultFont

#### encoding

    private final java.lang.String encoding

### Constructor Detail

#### AsianFontMapper

    public AsianFontMapper(java.lang.String font,
                   java.lang.String encoding)

### Method Detail

#### awtToPdf

    public BaseFont awtToPdf(java.awt.Font font)

Description copied from class: `DefaultFontMapper`
Returns a BaseFont which can be used to represent the given AWT Font

Specified by:
  `awtToPdf` in interface `FontMapper`
Overrides:
  `awtToPdf` in class `DefaultFontMapper`
Parameters:
  `font` - the font to be converted
Returns:
  a BaseFont which has similar properties to the provided Font